@use '@angular/material' as mat;

$md-primary: (
    50 : #e1e0ed,
    100 : #b5b3d2,
    200 : #8380b4,
    300 : #514d95,
    400 : #2c267f,
    500 : #070068,
    600 : #060060,
    700 : #050055,
    800 : #04004b,
    900 : #02003a,
    A100 : #7070ff,
    A200 : #3d3dff,
    A400 : #0a0aff,
    A700 : #0000f0,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #ffffff,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);

$md-secondary: (
    50 : #fce1ed,
    100 : #f7b5d2,
    200 : #f284b4,
    300 : #ed5296,
    400 : #e92d80,
    500 : #e50869,
    600 : #e20761,
    700 : #de0656,
    800 : #da044c,
    900 : #d3023b,
    A100 : #fffbfc,
    A200 : #ffc8d3,
    A400 : #ff95ab,
    A700 : #ff7b97,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$md-dark: (
    50 : #e0e0e0,
    100 : #b3b3b3,
    200 : #808080,
    300 : #4d4d4d,
    400 : #262626,
    500 : #000000,
    600 : #000000,
    700 : #000000,
    800 : #000000,
    900 : #000000,
    A100 : #a6a6a6,
    A200 : #8c8c8c,
    A400 : #737373,
    A700 : #666666,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);

$skao-theme-primary: mat.define-palette($md-primary);
$skao-theme-accent: mat.define-palette($md-secondary, A200, A100, A400);
$skao-theme-dark: mat.define-palette($md-dark);

$skao-theme: mat.define-light-theme((
    color: (
      primary: $skao-theme-primary,
      accent: $skao-theme-accent,
    )
   ));

$skao-dark-theme: mat.define-dark-theme((
    color: (
      primary: $skao-theme-dark,
      accent: $skao-theme-accent,
    )
));   

@include mat.all-component-themes($skao-theme);

.dark-theme {
    @include mat.all-component-colors($skao-dark-theme);
}

$color-primary: map-get($skao-theme-primary, 500);
$color-accent: map-get($skao-theme-accent, 500);
$primary-hover:#070068; 
$accent-hover:#e50869; 
$color-text: white;
// Primarily used in science-related products and material
$color-sci-01: #006181;
$color-sci-02: #864249;
$color-sci-03: #EF7C38;
$color-sci-04: #F49E6B;
$color-sci-05: #EFEA78;
$color-sci-06: #0D1D2D;
$color-sci-07: #0E2538;
$color-sci-08: #17243D;
$color-sci-09: #087CBB;
$color-sci-10: #E50869;
$color-sci-11: #0B3B5C;
$color-sci-12: #4689C8;
$color-sci-13: #EB5C5D;
$color-sci-14: #D9B38E;
$color-sci-15: #74C095;
// Primarily used in products and material relating to engineering activities
$color-tec-01: #004337;
$color-tec-02: #205B42;
$color-tec-03: #1B1E2A;
$color-tec-04: #F7BE00;
$color-tec-05: #5D2A2B;
$color-tec-06: #313D47;
$color-tec-07: #5B6770;
$color-tec-08: #7C868B;
$color-tec-09: #A0A7AB;
$color-tec-10: #C1C6CA;
// Primarily used in products and material referring to telescope sites, local heritage, local communities, etc
$color-loc-01: #6A3F23;
$color-loc-02: #9B6017;
$color-loc-03: #B5814E;
$color-loc-04: #F9B34C;
$color-loc-05: #EB7802;